For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet JWKS
        • GETCheck onboarding status
        • POSTOnboarding
        • POSTEVM Get JWT
        • POSTEVM Onboarding
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAuthentication

Check onboarding status

GET
https://api.prod.paradex.trade/v1/onboarding
GET
/v1/onboarding
$curl -G https://api.prod.paradex.trade/v1/onboarding \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d account_signer_type=starknet \
> -d public_key=0x04bfcab3e2d9a7f1c8e5d6a7b9c3f2e1d4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9 \
> -d eth_address=0xAb5801a7D398351b8bE11C439e05C5B3259aec9B
1{
2 "account_signer_type": "starknet",
3 "address": "0x1234567890abcdef1234567890abcdef12345678",
4 "derivation_info": {
5 "class_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
6 "proxy_class_hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
7 },
8 "exists": true
9}
Returns the Paradex address and derivation info for a given identity
Was this page helpful?
Previous

Onboarding

Next
Built with

Query parameters

public_keystringOptional

Starknet public key (required when account_signer_type=starknet)

eth_addressstringOptional

Ethereum address (required when account_signer_type=eip191)

account_signer_typestringRequired

Signer variant: starknet or eip191

Response

OK
account_signer_typestring

Signer variant: “starknet” or “eip191”

addressstring
Paradex Starknet address
derivation_infoobject

Class hash(es) used for address derivation

existsboolean
Whether the account is already onboarded

Errors

400
Bad Request Error